DocsAPI ReferenceBranch/bff/branch/closure-update
postBranchAdmin BFF

/bff/branch/closure-update

Organisation branches (pobočky) management. Each organisation can create any number of branches. A branch contains name, description, internal code, address, GPS coordinates, manager, opening hours (regular + exceptions), email/phone contacts and a photo gallery with a dedicated main photo.

BranchpostBffBranchClosure-update

Parameters

4 body

4 total
Body · 4
closureIdstringRequired

External id of the closure to update.

startDatestring

New ISO start timestamp. Omit to keep.

endDatestring | null
reasonstring

New reason. Omit to keep.

Length: 1

Request

POST /bff/branch/closure-update

post
curl -X POST "https://api.bizkithub.com/bff/branch/closure-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "closureId": "example_closureId",
  "startDate": "example_startDate",
  "reason": "example_reason"
}'

Response

JSON payload

{
  "success": false,
  "closureId": "example_closureId"
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key